Bug 1125848 - Remapping Left Control <LCTL> in xkb changes behavior of Alt + Left Shift
Summary: Remapping Left Control <LCTL> in xkb changes behavior of Alt + Left Shift
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 08:58 UTC by hash.egnqru
Modified: 2015-06-29 21:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:53:21 UTC


Attachments (Terms of Use)

Description hash.egnqru 2014-08-01 08:58:15 UTC
Description of problem:
For some reason pressing any alt key (including <MENU>) together with <LFSH> toggles "Switch windows of an application". This can be turned off by commenting out

 key <LCTL> { [    Tab,      Tab,       Tab,         Tab  ] };

in my xkb layout file. However, I would like to keep remapping left control <LCTL> to Tab. How can I do this without causing the above behavior?

Version-Release number of selected component (if applicable):
I am using Fedora 20 with kernel 3.14.7-200.fc20.i686.

How reproducible:
Always.

Steps to Reproduce:
1. Create entry in /usr/share/X11/xkb/symbols/us

partial alphanumeric_keys
xkb_symbols "workman-d" {

    name[Group1]= "English (Workman special)";

    include "us(workman)"

    key <TLDE> { [ grave, asciitilde,        degree,           degree ] };
    key <AE03> { [     3, numbersign,       section,          section ] };

    key <TAB> { [    BackSpace,       BackSpace,       BackSpace,        BackSpace ] };
    key <AD01> { [     q,          Q,            at,               at ] };
    key <AD08> { [     u,          U,    udiaeresis,       Udiaeresis ] };

    key <CAPS> { [    Control_L,       Control_L,       Control_L,        Control_L ] };
    key <AC01> { [     a,          A,    adiaeresis,       Adiaeresis ] };
    key <AC02> { [     s,          S,        ssharp,           ssharp ] };
    key <AC08> { [     e,          E,      EuroSign,         EuroSign ] };
    key <AC09> { [     o,          O,    odiaeresis,       Odiaeresis ] };

    key <AB04> { [     c,          C,          cent,        copyright ] };

    key <LCTL> { [    Tab,   Tab,       Tab,         Tab  ] };
    key <LFSH> { [ Shift_L,     Shift_L,      Shift_L,        Shift_L ] };
    key <MENU> { [ Alt_R,      Alt_R,         Alt_R,            Alt_R ] };

};

2. Restart X.
3. Hold down <MENU>, then press <LFSH>

Actual results:
"Switch windows of an application"

Expected results:
Nothing.

Additional info:
The xev output is

    keycode 64 (keysym 0xffe9, Alt_L) from pressing left alt
    keycode 50 (keysym 0xffe1, Shift_L) from pressing left shift
    FocusOut event, serial 36, synthetic NO, window 0x2a00001, mode NotifyGrab, detail NotifyAncestor from pressing left alt + left shift

Comment 1 Fedora End Of Life 2015-05-29 12:32:05 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:53:21 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.